com.thinkaurelius.titan.graphdb.vertices

## Class CacheVertex

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.vertices.AbstractVertex
    - - com.thinkaurelius.titan.graphdb.vertices.StandardVertex
      - - com.thinkaurelius.titan.graphdb.vertices.CacheVertex

- All Implemented Interfaces:
    Idfiable, TitanElement, TitanVertex, InternalElement, InternalVertex, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex, Comparable<TitanElement>
  Direct Known Subclasses:
    FulgoraVertex, TitanSchemaVertex

      public class CacheVertex
      extends StandardVertex

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheVertex(StandardTitanTx tx, long id, byte lifecycle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addToQueryCache(SliceQuery query, EntryList entries)`
    `boolean` | `hasLoadedRelations(SliceQuery query)` Returns true if the results for the given query have already been loaded for this vertex and are locally cached.
    `EntryList` | `loadRelations(SliceQuery query, Retriever<SliceQuery,EntryList> lookup)` Returns all relations that match the given query.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.StandardVertex

      `addRelation, getAddedRelations, getLifeCycle, hasAddedRelations, hasRemovedRelations, remove, removeRelation, updateLifeCycle`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.AbstractVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, getCompareId, getEdgeCount, getEdges, getEdges, getId, getLabel, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertexLabelInternal, getVertices, isConnected, isModified, it, query, removeProperty, removeProperty, setProperty, setProperty, toString, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getLongId, hashCode, hasId, isHidden, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `isHidden, setId`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getLongId, hasId, isLoaded, isNew, isRemoved`

- - ### Constructor Detail

    - #### CacheVertex

          public CacheVertex(StandardTitanTx tx,
                     long id,
                     byte lifecycle)

  - ### Method Detail

    - #### addToQueryCache

          protected void addToQueryCache(SliceQuery query,
                             EntryList entries)

    - #### loadRelations

          public EntryList loadRelations(SliceQuery query,
                                Retriever<SliceQuery,EntryList> lookup)

      Description copied from interface: `InternalVertex`
      Returns all relations that match the given query. If these matching relations are not currently held in memory, it uses the given `Retriever` to retrieve the edges from backend storage.
      Specified by:
        `loadRelations` in interface `InternalVertex`
      Overrides:
        `loadRelations` in class `StandardVertex`
      Returns:

    - #### hasLoadedRelations

          public boolean hasLoadedRelations(SliceQuery query)

      Description copied from interface: `InternalVertex`
      Returns true if the results for the given query have already been loaded for this vertex and are locally cached.
      Specified by:
        `hasLoadedRelations` in interface `InternalVertex`
      Overrides:
        `hasLoadedRelations` in class `StandardVertex`
      Returns:

Copyright © 2012–2014. All rights reserved.